<template>
  <iframe :src="openUrl"
    frameborder="0"></iframe>
</template>

<script setup>
import { getToken } from '@/utils/auth'
const reportBaseDomain = import.meta.env.VITE_APP_REPORT_URL // 基础域名
const reportViewURL = import.meta.env.VITE_APP_REPORT_PREVIEW_URL // 预览
const reportEditURL = import.meta.env.VITE_APP_REPORT_EDIT_URL // 新增/编辑
const route = useRoute()
const openUrl = reportBaseDomain + route.fullPath
console.log(route.fullPath, 'rop')
// 判断路由上是否包含新建/编辑/预览积木的地址，需要携带 token
if (route.fullPath.includes(reportViewURL.substring(1)) || route.fullPath.includes(reportEditURL.substring(1))) {
  // 包含预览/编辑地址，需要携带 token
  // 包含 token
  const token = getToken()
  if (token) {
    openUrl += `&token=${token}`
  }
}
</script>

<style scoped
  lang="scss">
  iframe {
    width: 100%;
    height: 100%;
  }
</style>